#include <iostream>

using namespace std;

int main()
{
    int n, k, res;

    cin >> n >> k;
    int p[n];

    for(int i = 0; i < n; i++)
    {
        cin >> p[i];
        if(i == n-1)
        {
            if(p[i] == k)
            {
                res = p[0];
            }
        }
        else if(i > 0)
        {
            if(p[i-1] == k)
            {
                res = p[i];
            }
        }
    }
    cout << res;
    return 0;
}